Option Explicit

' Declare a variable EvApp that is the Echoview application,
' and set it. CreateObject is a Windows COM function that
' finds or starts a "COM server" for us by name.
' "EchoviewCom.EvApplication" is Echoview's name.
Dim EvApp
Set EvApp = CreateObject("EchoviewCom.EvApplication")

' Make a variable for the file we're going to open, and open it
Dim File
Set File = EvApp.OpenFile("C:\Echoview Software\Tutorials\IntroToComScripting\COMScripting_Topic4.EV")

' Pause
MsgBox "Echoview and the requested EV file are now open"

' Find the second variable, using the collection
' Note that it counts from 0, not 1, so the first variable
' is number 0, and the second number 1. 
Dim Var
Set Var = File.Variables(3)

' Pause
MsgBox "Variable 1 in this EV file is " & Var.Name

' Set its name via the Name property
Var.Name = "GPS Transect 1"

' Pause
MsgBox "We have changed the name of Variable 1 - observe the new name in the Filesets window"



