''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' A single export
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' Open the EV file
     Dim EvApp: Set EvApp = CreateObject("EchoviewCom.EvApplication")
     Dim EvFile: Set EvFile = EvApp.OpenFile("C:\Echoview Software\Tutorials\IntroToComScripting\COMScripting_Topic4.EV")
     If EvFile Is Nothing Then
         MsgBox "Failed to open EV file"
     Else
         '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
         ' Get the variable
         Dim Var: Set Var = EvFile.Variables.FindByName("Sv pings")
         If Var Is Nothing Then
             MsgBox "Failed to find variable"
         Else
             Dim VarAc: Set VarAc = Var.AsVariableAcoustic
             If VarAc Is Nothing Then
                 MsgBox "Variable is not acoustic"
             Else
                 '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
                 ' Export the variable
                 If Not VarAc.ExportIntegrationByRegionsAll("C:\Echoview Software\Tutorials\IntroToComScripting\SingleExportOutput\FileA-Sv1-ARIN.csv") Then
                     MsgBox "Failed to export by regions"
                 End If
             End If
         End If
     End If
     '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
     ' Tidy up
     EvApp.CloseFile(EvFile)
     EvApp.Quit   
