'The first line below defines (or "dimensions") the variable "EvApp". A COM variable is not the same as an Echoview variable.
'EvApp allows us to refer to an object in shorthand, like we might use a nickname to refer to a person
Dim EvApp
	
'This sets EvApp to be the name of the "Object" which is the EV application. This connects the script to Echoview.
'This is the highest level object in the "Echoview object model" (See Echoview object model diagram)	
Set EvApp = CreateObject("EchoviewCom.EvApplication")
 
'In the next line we have used the syntax ".Version" to get the version property of the EvApp object.
'We used Date and Time with the Windows system - not from Echoview
EvApp.Log("write to log") 
MsgBox "You connected to Echoview version: " & EvApp.Version & " at " & Date & " " & Time
 
'In the final line we have quit or closed the connection between the Windows scripting host and Echoview
EvApp.Quit